# $Revision: 1.14 $, $Date: 2012/01/13 22:45:23 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Cache
%define		pnam	FastMmap
%include	/usr/lib/rpm/macros.perl
Summary:	Cache::FastMmap - Uses an mmap'ed file to act as a shared memory interprocess cache
Summary(pl.UTF-8):	Cache::FastMmap - użycie mmapowanego pliku jako współdzielonej pamięci podręcznej
Name:		perl-Cache-FastMmap
Version:	1.40
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e0929ba556c629a43f5d65a2b6cb9a2f
URL:		http://search.cpan.org/dist/Cache-FastMmap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Uses an mmap'ed file to act as a shared memory interprocess cache.

%description -l pl.UTF-8
Ten moduł pozwala na używanie mmapowanego pliku jako pamięci
podręcznej współdzielonej między procesami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Cache/*.pm
%dir %{perl_vendorarch}/auto/Cache/FastMmap
%{perl_vendorarch}/auto/Cache/FastMmap/FastMmap.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Cache/FastMmap/FastMmap.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cache-FastMmap.spec,v $
Revision 1.14  2012/01/13 22:45:23  zbyniu
- up to 1.40

Revision 1.13  2011/07/11 20:31:03  marti
- up to 1.36

Revision 1.12  2011/01/03 13:15:40  glen
- release 3

Revision 1.11  2010/06/06 08:31:32  arekm
- release 2

Revision 1.10  2009/08/21 07:23:43  amateja
- updated to 1.34

Revision 1.9  2009/06/15 12:16:34  amateja
- updated to 1.30

Revision 1.8  2008/03/02 16:43:59  radek
- version 1.25

Revision 1.7  2008-02-10 12:01:01  arekm
- rel 2

Revision 1.6  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.5  2007-12-19 15:30:19  zbyniu
- up to 1.24

Revision 1.4  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.2  2005/11/19 13:40:07  qboosh
- pl, generic URL

Revision 1.1  2005/11/18 19:36:37  migo
- initial revision
